subroutine TD_WellElementsConfiguration
    
   Use TD_DrillStemComponents
   use SimulationVariables !@
   use SimulationVariables !@
   

   implicit none 

   Integer :: i, j
  

!====================================================
!         Modified Well Elements Data
!====================================================
   
  Do i = 1 , data%State%TD_WellEl%ROPHoleNumbs
           !data%State%TD_ROPHole(i)%TopDepth        = data%State%TD_WellGeo(data%State%TD_WellGeneral%WellIntervalsCount)%TopDepth
           data%State%TD_ROPHole(i)%DownDepth        = data%State%TD_WellGeo(data%State%TD_WellGeneral%WellIntervalsCount)%DownDepth
           data%State%TD_ROPHole(i)%Length           = data%State%TD_WellGeo(data%State%TD_WellGeneral%WellIntervalsCount)%IntervalLength
           data%State%TD_ROPHole(i)%Id               = data%State%TD_ROPHole(i)%Id    !!???????????
  End Do
  
  
  
  
    
end subroutine 